﻿// <auto-generated />
using System;
using Homework_2_Otus_Prof.EF;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace Homework_2_Otus_Prof.EF.Migrations
{
    [DbContext(typeof(EbayContext))]
    partial class EbayContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.10")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.Category", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.HasKey("Id");

                    b.ToTable("Categories");

                    b.HasData(
                        new
                        {
                            Id = new Guid("4be82e70-7469-4832-ac76-e6192d7ccc9f"),
                            Name = "Electronics"
                        },
                        new
                        {
                            Id = new Guid("a6ed9226-7002-4b8d-92c8-687dc296c44f"),
                            Name = "Clothing"
                        },
                        new
                        {
                            Id = new Guid("96147f3c-aa6e-4276-bf09-5c2973676cdb"),
                            Name = "Home & Garden"
                        },
                        new
                        {
                            Id = new Guid("668fd565-a369-44c5-a75f-490487587adf"),
                            Name = "Toys"
                        },
                        new
                        {
                            Id = new Guid("b6100178-ef22-4631-b66a-8cb761667efb"),
                            Name = "Books"
                        });
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.Product", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("CategoryId")
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<decimal>("Price")
                        .HasColumnType("numeric");

                    b.HasKey("Id");

                    b.HasIndex("CategoryId");

                    b.ToTable("Products");

                    b.HasData(
                        new
                        {
                            Id = new Guid("1c030a7d-137b-4399-97a5-c6e0af6cdc5e"),
                            CategoryId = new Guid("4be82e70-7469-4832-ac76-e6192d7ccc9f"),
                            Name = "Smartphone",
                            Price = 32m
                        },
                        new
                        {
                            Id = new Guid("62d946e1-f2e0-439f-ae3c-653854fdffee"),
                            CategoryId = new Guid("a6ed9226-7002-4b8d-92c8-687dc296c44f"),
                            Name = "T-shirt",
                            Price = 59m
                        },
                        new
                        {
                            Id = new Guid("02b6b57a-899f-4549-8f9d-f4f71b7f803b"),
                            CategoryId = new Guid("96147f3c-aa6e-4276-bf09-5c2973676cdb"),
                            Name = "Coffee Maker",
                            Price = 63m
                        },
                        new
                        {
                            Id = new Guid("0ea04d2b-7d40-4417-835a-59e75c9e23ee"),
                            CategoryId = new Guid("668fd565-a369-44c5-a75f-490487587adf"),
                            Name = "Action Figure",
                            Price = 99m
                        },
                        new
                        {
                            Id = new Guid("cc7c379b-f857-4e70-84ca-e0698de70594"),
                            CategoryId = new Guid("b6100178-ef22-4631-b66a-8cb761667efb"),
                            Name = "Novel",
                            Price = 101m
                        });
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.ProductsInfo", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Info")
                        .IsRequired()
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.Property<Guid>("ProductId")
                        .HasColumnType("uuid");

                    b.Property<int>("Type")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("ProductId");

                    b.ToTable("ProductsInfo");

                    b.HasData(
                        new
                        {
                            Id = new Guid("256bf9ef-b16d-4c14-b809-e7883e5b34df"),
                            Info = "White",
                            ProductId = new Guid("1c030a7d-137b-4399-97a5-c6e0af6cdc5e"),
                            Type = 0
                        },
                        new
                        {
                            Id = new Guid("7847aa94-aed9-4292-a87e-18cf3825ccf8"),
                            Info = "120",
                            ProductId = new Guid("1c030a7d-137b-4399-97a5-c6e0af6cdc5e"),
                            Type = 1
                        },
                        new
                        {
                            Id = new Guid("193d5a27-2175-47b5-a022-e019ed828b68"),
                            Info = "107",
                            ProductId = new Guid("1c030a7d-137b-4399-97a5-c6e0af6cdc5e"),
                            Type = 2
                        },
                        new
                        {
                            Id = new Guid("0155e022-2896-4653-902b-bd9088ee0add"),
                            Info = "Cyan",
                            ProductId = new Guid("62d946e1-f2e0-439f-ae3c-653854fdffee"),
                            Type = 0
                        },
                        new
                        {
                            Id = new Guid("26a8b250-d802-42af-a9e6-8a3b6d74d2b8"),
                            Info = "18",
                            ProductId = new Guid("62d946e1-f2e0-439f-ae3c-653854fdffee"),
                            Type = 1
                        },
                        new
                        {
                            Id = new Guid("55e7ca0b-6d14-4033-81ea-d784d815f7ff"),
                            Info = "143",
                            ProductId = new Guid("62d946e1-f2e0-439f-ae3c-653854fdffee"),
                            Type = 2
                        },
                        new
                        {
                            Id = new Guid("d61a4154-f028-4a41-a872-071456536acc"),
                            Info = "Black",
                            ProductId = new Guid("02b6b57a-899f-4549-8f9d-f4f71b7f803b"),
                            Type = 0
                        },
                        new
                        {
                            Id = new Guid("85d3def6-90d5-423b-9e7a-29f6e79f4577"),
                            Info = "16",
                            ProductId = new Guid("02b6b57a-899f-4549-8f9d-f4f71b7f803b"),
                            Type = 1
                        },
                        new
                        {
                            Id = new Guid("2fddf985-a0bc-4db2-83b5-18cac6588bcb"),
                            Info = "49",
                            ProductId = new Guid("02b6b57a-899f-4549-8f9d-f4f71b7f803b"),
                            Type = 2
                        },
                        new
                        {
                            Id = new Guid("70c54eda-7e0e-4838-b1e8-0967e823cdfc"),
                            Info = "Cyan",
                            ProductId = new Guid("0ea04d2b-7d40-4417-835a-59e75c9e23ee"),
                            Type = 0
                        },
                        new
                        {
                            Id = new Guid("740e10c3-b052-4d40-91df-95236540f224"),
                            Info = "60",
                            ProductId = new Guid("0ea04d2b-7d40-4417-835a-59e75c9e23ee"),
                            Type = 1
                        },
                        new
                        {
                            Id = new Guid("6c81813e-02f6-493b-8d02-80e520ce82a0"),
                            Info = "84",
                            ProductId = new Guid("0ea04d2b-7d40-4417-835a-59e75c9e23ee"),
                            Type = 2
                        },
                        new
                        {
                            Id = new Guid("28d84652-6ecb-408d-aa4b-3852fcacfcf4"),
                            Info = "Black",
                            ProductId = new Guid("cc7c379b-f857-4e70-84ca-e0698de70594"),
                            Type = 0
                        },
                        new
                        {
                            Id = new Guid("c916f0c0-4b23-44fa-99e1-601f56a1514e"),
                            Info = "98",
                            ProductId = new Guid("cc7c379b-f857-4e70-84ca-e0698de70594"),
                            Type = 1
                        },
                        new
                        {
                            Id = new Guid("56b57fa5-570a-41b4-8158-7e4888c51c1f"),
                            Info = "11",
                            ProductId = new Guid("cc7c379b-f857-4e70-84ca-e0698de70594"),
                            Type = 2
                        });
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.Product", b =>
                {
                    b.HasOne("Homework_2_Otus_Prof.Domain.Category", "Category")
                        .WithMany("Products")
                        .HasForeignKey("CategoryId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Category");
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.ProductsInfo", b =>
                {
                    b.HasOne("Homework_2_Otus_Prof.Domain.Product", "Product")
                        .WithMany("Details")
                        .HasForeignKey("ProductId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Product");
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.Category", b =>
                {
                    b.Navigation("Products");
                });

            modelBuilder.Entity("Homework_2_Otus_Prof.Domain.Product", b =>
                {
                    b.Navigation("Details");
                });
#pragma warning restore 612, 618
        }
    }
}
